package com.sundot.airport.web.controller.approval.dto;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 科级检查DTO
 *
 * @author simon lin
 * @date 2025-09-06
 */
public class SectionCheckDTO {
    /**
     * 业务ID
     */
    @NotNull(message = "业务ID不能为空")
    private Long id;

    /**
     * 检查描述
     */
    @NotBlank(message = "检查描述不能为空")
    private String description;

    /**
     * 检查类型
     */
    private String checkType;

    /**
     * 严重程度
     */
    private String severity;

    /**
     * 目标部门ID
     */
    private Long targetDeptId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getCheckType() {
        return checkType;
    }

    public void setCheckType(String checkType) {
        this.checkType = checkType;
    }

    public String getSeverity() {
        return severity;
    }

    public void setSeverity(String severity) {
        this.severity = severity;
    }

    public Long getTargetDeptId() {
        return targetDeptId;
    }

    public void setTargetDeptId(Long targetDeptId) {
        this.targetDeptId = targetDeptId;
    }
}